<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Blogi
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php if ( is_sticky() ) : ?>
		<div class="sticky-post"><i class="fa fa-star"></i></div>
	<?php endif; ?>
	<header class="entry-header">
		<?php
		if ( is_single() ) {
			the_title( '<h1 class="entry-title">', '</h1>' );
		} else {
			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		}
		?>

		<?php if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php blogi_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php endif; ?>
		<?php the_post_thumbnail( 'blogi-post-thumb' ); ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php
			the_content(
				sprintf(
				/* translators: %s: Name of current post. */
					esc_html__( 'Read more %1$s %2$s', 'blogi' ),
					'<i class="fa fa-angle-right hidden-icon"></i><i class="fa fa-angle-right"></i>',
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				)
			);
			?>

		<?php
			wp_link_pages(
				array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'blogi' ),
					'after'  => '</div>',
				)
			);
			?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php blogi_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
